## groovy.lang
Class MissingMethodException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      groovy.lang.MissingMethodException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  MissingMethodExceptionNoStack

    public class MissingMethodException

extends GroovyRuntimeException

An exception occurred if a dynamic method dispatch fails with an unknown method. Note that the Missing*Exception classes were named for consistency and to avoid conflicts with JDK exceptions of the same name.

Version:
  $Revision: 8875 $
Author:
  James Strachan
See Also:
  Serialized Form

Constructor Summary
`MissingMethodException(String method, Class type, Object[] arguments)`
`MissingMethodException(String method, Class type, Object[] arguments, boolean isStatic)`

Method Summary
`Object[]` `getArguments()`
`String` `getMessage()`
`String` `getMethod()`
`Class` `getType()`
`boolean` `isStatic()`

Methods inherited from class groovy.lang.GroovyRuntimeException
`getLocationText, getMessageWithoutLocationText, getModule, getNode, setModule`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MissingMethodException

    public MissingMethodException(String method,
                                  Class type,
                                  Object[] arguments)

### MissingMethodException

    public MissingMethodException(String method,
                                  Class type,
                                  Object[] arguments,
                                  boolean isStatic)

Method Detail

### getArguments

    public Object[] getArguments()

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `GroovyRuntimeException`

### getMethod

    public String getMethod()

  Returns:
    the name of the method that could not be found

### getType

    public Class getType()

  Returns:
    The type on which the method was attempted to be called

### isStatic

    public boolean isStatic()

  Returns:
    Whether the method was called in a static way, i.e. on a class rather than an object.

Copyright © 2003-2008 The Codehaus. All rights reserved.